OUTPUT_DIR='./mnli_rank_1'

python -m torch.distributed.launch --nproc_per_node=$num_gpus --master_port=12345 python examples/pytorch/text-classification/run_glue.py \
    --save_total_limit 10 \
    --model_name_or_path bert-base-uncased \
    --task_name mnli \
    --output_dir ${OUTPUT_DIR} \
    --do_train \
    --do_eval \
    --num_train_epochs 3 \
    --save_steps 1000 \
    --seed 1 \
    --per_device_train_batch_size 8 \
    --max_seq_length 128 \
    --per_device_eval_batch_size 8 \
    --overwrite_output_dir \
    --logging_steps 1000 \
    --load_best_model_at_end True \
    --metric_for_best_model eval_accuracy \
    --apply_lora \
    --lora_r 1 \
    --evaluation_strategy steps > 0923_mnli_low_rank_1.out &
