OUTPUT_DIR='./rte_rank_1_sparse_64'
num_gpus=4
NCCL_P2P_DISABLE=1 CUDA_VISIBLE_DEVICES=0,1,2,3 python -m torch.distributed.launch --nproc_per_node=$num_gpus --master_port=12399 non-GPT-2/examples/pytorch/text-classification/run_glue.py \
    --save_total_limit 10 \
    --model_name_or_path bert-base-uncased \
    --task_name rte \
    --output_dir ${OUTPUT_DIR} \
    --do_train \
    --do_eval \
    --learning_rate 1e-3 \
    --num_train_epochs 3 \
    --save_steps 20 \
    --seed 1 \
    --per_device_train_batch_size 8 \
    --max_seq_length 128 \
    --per_device_eval_batch_size 8 \
    --overwrite_output_dir \
    --logging_steps 20 \
    --load_best_model_at_end True \
    --metric_for_best_model eval_accuracy \
    --apply_lora \
    --learning_rate 1e-3 \
    --apply_sparse \
    --num_sparse 64 \
    --lora_r 1 \
    --evaluation_strategy steps > 0930_rte_low_rank_1_sparse_64.out


OUTPUT_DIR='./rte_rank_2_sparse_64'
num_gpus=4
NCCL_P2P_DISABLE=1 CUDA_VISIBLE_DEVICES=0,1,2,3 python -m torch.distributed.launch --nproc_per_node=$num_gpus --master_port=12399 non-GPT-2/examples/pytorch/text-classification/run_glue.py \
    --save_total_limit 10 \
    --model_name_or_path bert-base-uncased \
    --task_name rte \
    --output_dir ${OUTPUT_DIR} \
    --do_train \
    --do_eval \
    --learning_rate 1e-3 \
    --num_train_epochs 3 \
    --save_steps 20 \
    --seed 1 \
    --per_device_train_batch_size 8 \
    --max_seq_length 128 \
    --per_device_eval_batch_size 8 \
    --overwrite_output_dir \
    --logging_steps 20 \
    --load_best_model_at_end True \
    --metric_for_best_model eval_accuracy \
    --apply_lora \
    --learning_rate 1e-3 \
    --apply_sparse \
    --num_sparse 64 \
    --lora_r 2 \
    --evaluation_strategy steps > 0930_rte_low_rank_2_sparse_64.out

OUTPUT_DIR='./rte_rank_4_sparse_64'
num_gpus=4
NCCL_P2P_DISABLE=1 CUDA_VISIBLE_DEVICES=0,1,2,3 python -m torch.distributed.launch --nproc_per_node=$num_gpus --master_port=12399 non-GPT-2/examples/pytorch/text-classification/run_glue.py \
    --save_total_limit 10 \
    --model_name_or_path bert-base-uncased \
    --task_name rte \
    --output_dir ${OUTPUT_DIR} \
    --do_train \
    --do_eval \
    --learning_rate 1e-3 \
    --num_train_epochs 3 \
    --save_steps 20 \
    --seed 1 \
    --per_device_train_batch_size 8 \
    --max_seq_length 128 \
    --per_device_eval_batch_size 8 \
    --overwrite_output_dir \
    --logging_steps 20 \
    --load_best_model_at_end True \
    --metric_for_best_model eval_accuracy \
    --apply_lora \
    --learning_rate 1e-3 \
    --apply_sparse \
    --num_sparse 64 \
    --lora_r 4 \
    --evaluation_strategy steps > 0930_rte_low_rank_4_sparse_64.out

OUTPUT_DIR='./rte_rank_8_sparse_64'
num_gpus=4
NCCL_P2P_DISABLE=1 CUDA_VISIBLE_DEVICES=0,1,2,3 python -m torch.distributed.launch --nproc_per_node=$num_gpus --master_port=12399 non-GPT-2/examples/pytorch/text-classification/run_glue.py \
    --save_total_limit 10 \
    --model_name_or_path bert-base-uncased \
    --task_name rte \
    --output_dir ${OUTPUT_DIR} \
    --do_train \
    --do_eval \
    --learning_rate 1e-3 \
    --num_train_epochs 3 \
    --save_steps 20 \
    --seed 1 \
    --per_device_train_batch_size 8 \
    --max_seq_length 128 \
    --per_device_eval_batch_size 8 \
    --overwrite_output_dir \
    --logging_steps 20 \
    --load_best_model_at_end True \
    --metric_for_best_model eval_accuracy \
    --apply_lora \
    --learning_rate 1e-3 \
    --apply_sparse \
    --num_sparse 64 \
    --lora_r 8 \
    --evaluation_strategy steps > 0930_rte_low_rank_8_sparse_64.out

OUTPUT_DIR='./rte_rank_16_sparse_64'
num_gpus=4
NCCL_P2P_DISABLE=1 CUDA_VISIBLE_DEVICES=4,5,6,7 python -m torch.distributed.launch --nproc_per_node=$num_gpus --master_port=12349 non-GPT-2/examples/pytorch/text-classification/run_glue.py \
    --save_total_limit 10 \
    --model_name_or_path bert-base-uncased \
    --task_name rte \
    --output_dir ${OUTPUT_DIR} \
    --do_train \
    --do_eval \
    --learning_rate 1e-3 \
    --num_train_epochs 3 \
    --save_steps 20 \
    --seed 1 \
    --per_device_train_batch_size 8 \
    --max_seq_length 128 \
    --per_device_eval_batch_size 8 \
    --overwrite_output_dir \
    --logging_steps 20 \
    --load_best_model_at_end True \
    --metric_for_best_model eval_accuracy \
    --apply_lora \
    --learning_rate 1e-3 \
    --apply_sparse \
    --num_sparse 64 \
    --lora_r 16 \
    --evaluation_strategy steps > 0930_rte_low_rank_16_sparse_64.out


OUTPUT_DIR='./rte_rank_32_sparse_64'
num_gpus=4
NCCL_P2P_DISABLE=1 CUDA_VISIBLE_DEVICES=4,5,6,7 python -m torch.distributed.launch --nproc_per_node=$num_gpus --master_port=12396 non-GPT-2/examples/pytorch/text-classification/run_glue.py \
    --save_total_limit 10 \
    --model_name_or_path bert-base-uncased \
    --task_name rte \
    --output_dir ${OUTPUT_DIR} \
    --do_train \
    --do_eval \
    --learning_rate 1e-3 \
    --num_train_epochs 3 \
    --save_steps 20 \
    --seed 1 \
    --per_device_train_batch_size 8 \
    --max_seq_length 128 \
    --per_device_eval_batch_size 8 \
    --overwrite_output_dir \
    --logging_steps 20 \
    --load_best_model_at_end True \
    --metric_for_best_model eval_accuracy \
    --apply_lora \
    --learning_rate 1e-3 \
    --apply_sparse \
    --num_sparse 64 \
    --lora_r 32 \
    --evaluation_strategy steps > 0930_rte_low_rank_32_sparse_64.out

OUTPUT_DIR='./rte_rank_64_sparse_64'
num_gpus=4
NCCL_P2P_DISABLE=1 CUDA_VISIBLE_DEVICES=0,1,2,3 python -m torch.distributed.launch --nproc_per_node=$num_gpus --master_port=12399 non-GPT-2/examples/pytorch/text-classification/run_glue.py \
    --save_total_limit 10 \
    --model_name_or_path bert-base-uncased \
    --task_name rte \
    --output_dir ${OUTPUT_DIR} \
    --do_train \
    --do_eval \
    --learning_rate 1e-3 \
    --num_train_epochs 3 \
    --save_steps 20 \
    --seed 1 \
    --per_device_train_batch_size 8 \
    --max_seq_length 128 \
    --per_device_eval_batch_size 8 \
    --overwrite_output_dir \
    --logging_steps 20 \
    --load_best_model_at_end True \
    --metric_for_best_model eval_accuracy \
    --apply_lora \
    --learning_rate 1e-3 \
    --apply_sparse \
    --num_sparse 64 \
    --lora_r 64 \
    --evaluation_strategy steps > 0930_rte_low_rank_64_sparse_64.out
